<div id="kt_app_sidebar" class="app-sidebar flex-column " data-kt-drawer="true" data-kt-drawer-name="app-sidebar"
     data-kt-drawer-activate="{default: true, lg: false}" data-kt-drawer-overlay="true" data-kt-drawer-width="225px"
     data-kt-drawer-direction="start" data-kt-drawer-toggle="#kt_app_sidebar_mobile_toggle">
  <!--begin::Logo-->
  <div class="app-sidebar-logo px-6" id="kt_app_sidebar_logo">
    <!--begin::Logo image-->
    <a href="index.html">
      <span class="h-60px app-sidebar-logo-default">
        <img alt="Logo" src="/assets/global/logo-global.svg"/>
      </span>

      <img alt="Logo" src="/assets/global/2x/logo512.png" class="h-45px app-sidebar-logo-minimize"/>
    </a>
    <!--end::Logo image-->
    <!--begin::Sidebar toggle-->
    <div id="kt_app_sidebar_toggle"
         class="app-sidebar-toggle btn btn-icon btn-shadow btn-sm btn-color-muted btn-active-color-primary body-bg h-30px w-30px position-absolute top-50 start-100 translate-middle rotate"
         data-kt-toggle="true" data-kt-toggle-state="active" data-kt-toggle-target="body"
         data-kt-toggle-name="app-sidebar-minimize">
      <!--begin::Svg Icon | path: icons/duotune/arrows/arr079.svg-->
      <span class="svg-icon svg-icon-2 rotate-180">
        <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path opacity="0.5"
                d="M14.2657 11.4343L18.45 7.25C18.8642 6.83579 18.8642 6.16421 18.45 5.75C18.0358 5.33579 17.3642 5.33579 16.95 5.75L11.4071 11.2929C11.0166 11.6834 11.0166 12.3166 11.4071 12.7071L16.95 18.25C17.3642 18.6642 18.0358 18.6642 18.45 18.25C18.8642 17.8358 18.8642 17.1642 18.45 16.75L14.2657 12.5657C13.9533 12.2533 13.9533 11.7467 14.2657 11.4343Z"
                fill="currentColor"/>
          <path
            d="M8.2657 11.4343L12.45 7.25C12.8642 6.83579 12.8642 6.16421 12.45 5.75C12.0358 5.33579 11.3642 5.33579 10.95 5.75L5.40712 11.2929C5.01659 11.6834 5.01659 12.3166 5.40712 12.7071L10.95 18.25C11.3642 18.6642 12.0358 18.6642 12.45 18.25C12.8642 17.8358 12.8642 17.1642 12.45 16.75L8.2657 12.5657C7.95328 12.2533 7.95328 11.7467 8.2657 11.4343Z"
            fill="currentColor"/>
        </svg>
      </span>
      <!--end::Svg Icon-->
    </div>
    <!--end::Sidebar toggle-->
  </div>
  <!--end::Logo-->
  <!--begin::sidebar menu-->
  <div class="app-sidebar-menu overflow-hidden flex-column-fluid">
    <!--begin::Menu wrapper-->
    <div id="kt_app_sidebar_menu_wrapper" class="app-sidebar-wrapper hover-scroll-overlay-y my-5" data-kt-scroll="true"
         data-kt-scroll-activate="true" data-kt-scroll-height="auto"
         data-kt-scroll-dependencies="#kt_app_sidebar_logo, #kt_app_sidebar_footer"
         data-kt-scroll-wrappers="#kt_app_sidebar_menu" data-kt-scroll-offset="5px" data-kt-scroll-save-state="true">
      <!--begin::Menu-->
      <div class="menu menu-column menu-rounded menu-sub-indention px-3" id="#kt_app_sidebar_menu" data-kt-menu="true"
           data-kt-menu-expand="false">

        <div class="menu-item pt-5">
          <div class="menu-content">
            <span class="menu-heading fw-bold text-uppercase fs-7">&nbsp;</span>
          </div>
        </div>
        <app-menu-item name="Início" routerLink="/"
                       routerLinkTo="/#"></app-menu-item>

        <div *ngIf="this.auth.user.type == 'admin' " data-kt-menu-trigger="click"
             class="menu-item {{ this.routerNav.url.toString().indexOf('cadastros')>0?'show':'' }}    menu-accordion">

          <span class="menu-link">
            <span class="menu-icon">
              <!--begin::Svg Icon | path: icons/duotune/general/gen025.svg-->
              <span class="svg-icon svg-icon-2">
                <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <rect x="2" y="2" width="9" height="9" rx="2" fill="currentColor"/>
                  <rect opacity="0.3" x="13" y="2" width="9" height="9" rx="2" fill="currentColor"/>
                  <rect opacity="0.3" x="13" y="13" width="9" height="9" rx="2" fill="currentColor"/>
                  <rect opacity="0.3" x="2" y="13" width="9" height="9" rx="2" fill="currentColor"/>
                </svg>
              </span>

            </span>
            <span class="menu-title text-uppercase">Cadastro</span>

            <span class="menu-arrow"></span>
          </span>

          <div class="menu-sub menu-sub-accordion">

            <app-menu-item name="Artigo" routerLink="/cadastros/artigos/geral"
                           routerLinkTo="/cadastros/artigos/todos"></app-menu-item>

            <app-menu-item name="Fornecedor" routerLink="/cadastros/fornecedor/geral"
                           routerLinkTo="/cadastros/fornecedor/todos"></app-menu-item>

            <div class="menu-inner flex-column collapse" id="kt_aside_menu_collapse">

              <app-menu-item name="Cliente" routerLink="/cadastros/clientes/geral"
                             routerLinkTo="/cadastros/clientes/todos"></app-menu-item>

              <app-menu-item name="Armazem" routerLink="/cadastros/armazem/geral"
                             routerLinkTo="/cadastros/armazem/todos"></app-menu-item>

            </div>

            <div class="menu-item">
              <div class="menu-content">
                <a class="btn btn-flex btn-color-success fs-base p-0 ms-2 mb-2 collapsible collapsed rotate"
                   data-bs-toggle="collapse" href="#kt_aside_menu_collapse" data-kt-toggle-text="Menos Itens">
                  <span data-kt-toggle-text-target="true">Mais Itens</span>
                  <!--begin::Svg Icon | path: icons/duotune/arrows/arr082.svg-->
                  <span class="svg-icon ms-2 svg-icon-3 rotate-180">
                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                      <path opacity="0.5"
                            d="M12.5657 9.63427L16.75 5.44995C17.1642 5.03574 17.8358 5.03574 18.25 5.44995C18.6642 5.86416 18.6642 6.53574 18.25 6.94995L12.7071 12.4928C12.3166 12.8834 11.6834 12.8834 11.2929 12.4928L5.75 6.94995C5.33579 6.53574 5.33579 5.86416 5.75 5.44995C6.16421 5.03574 6.83579 5.03574 7.25 5.44995L11.4343 9.63427C11.7467 9.94669 12.2533 9.94668 12.5657 9.63427Z"
                            fill="currentColor"/>
                      <path
                        d="M12.5657 15.6343L16.75 11.45C17.1642 11.0357 17.8358 11.0357 18.25 11.45C18.6642 11.8642 18.6642 12.5357 18.25 12.95L12.7071 18.4928C12.3166 18.8834 11.6834 18.8834 11.2929 18.4928L5.75 12.95C5.33579 12.5357 5.33579 11.8642 5.75 11.45C6.16421 11.0357 6.83579 11.0357 7.25 11.45L11.4343 15.6343C11.7467 15.9467 12.2533 15.9467 12.5657 15.6343Z"
                        fill="currentColor"/>
                    </svg>
                  </span>
                  <!--end::Svg Icon-->
                </a>
              </div>
            </div>


          </div>
          <!--end:Menu sub-->
        </div>
        <div *ngIf="this.auth.user.type == 'admin' " data-kt-menu-trigger="click"
             class="menu-item  {{ this.routerNav.url.toString().indexOf('movimentos')>0?'show':'' }} menu-accordion">
          <!--begin:Menu link-->
          <span class="menu-link">
            <span class="menu-icon">

              <span class="svg-icon svg-icon-2">
                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                  <path
                    d="M20 8H16C15.4 8 15 8.4 15 9V16H10V17C10 17.6 10.4 18 11 18H16C16 16.9 16.9 16 18 16C19.1 16 20 16.9 20 18H21C21.6 18 22 17.6 22 17V13L20 8Z"
                    fill="currentColor"/>
                  <path opacity="0.3"
                        d="M20 18C20 19.1 19.1 20 18 20C16.9 20 16 19.1 16 18C16 16.9 16.9 16 18 16C19.1 16 20 16.9 20 18ZM15 4C15 3.4 14.6 3 14 3H3C2.4 3 2 3.4 2 4V13C2 13.6 2.4 14 3 14H15V4ZM6 16C4.9 16 4 16.9 4 18C4 19.1 4.9 20 6 20C7.1 20 8 19.1 8 18C8 16.9 7.1 16 6 16Z"
                        fill="currentColor"/>
                </svg>
              </span>
              <!--end::Svg Icon-->
            </span>

            <span class="menu-title text-uppercase">Movimento</span>
            <span class="menu-arrow"></span>
          </span>
          <!--end:Menu link-->
          <!--begin:Menu sub-->
          <div class="menu-sub menu-sub-accordion">

            <app-menu-item name="Entrada de Artigos" routerLink="/movimentos/entradas/entradas"
                           routerLinkTo="/movimentos/entradas/tabela"></app-menu-item>

            <app-menu-item name="Requisição de Artigos" routerLink="/movimentos/requisicao/formulario"
                           routerLinkTo="/movimentos/requisicao/tabela"></app-menu-item>

            <app-menu-item name="Transferncia de Artigos" routerLink="/movimentos/transferencia/formulario"
                           routerLinkTo="/movimentos/transferencia/tabela"></app-menu-item>

            <app-menu-item name="Devoluções de Artigos" routerLink="/movimentos/devolucao/formulario"
                           routerLinkTo="/movimentos/devolucao/tabela"></app-menu-item>

            <app-menu-item name="Inventário" routerLink="/movimentos/inventario/formulario"
                           routerLinkTo="/movimentos/inventario/tabela"></app-menu-item>

            <app-menu-item name="Baixa no Armazém" routerLink="/movimentos/baixa/formulario"
                           routerLinkTo="/movimentos/baixa/tabela"></app-menu-item>


          </div>
          <!--end:Menu sub-->
        </div>


        <div class="menu-item pt-5">
          <!--begin:Menu content-->
          <div class="menu-content">
            <span class="menu-heading fw-bold text-uppercase fs-7">Relatórios</span>
          </div>
          <app-menu-item name="Existências" routerLink="/stock/existencias/tabela"
                         routerLinkTo="/stock/existencias/tabela"></app-menu-item>

          <app-menu-item name="Ocorrencias" routerLink="/stock/ocorrencias/tabela"
                         routerLinkTo="/stock/ocorrencias/tabela"></app-menu-item>

          <app-menu-item name="Movimentos" routerLink="/stock/movimento/tabela"
                         routerLinkTo="/stock/movimento/tabela"></app-menu-item>

          <app-menu-item name="Inventário" routerLink="/stock/movimento/inventario"
                         routerLinkTo="/stock/inventario/tabela"></app-menu-item>
          <!--end:Menu content-->
        </div>

        <div class="menu-item pt-5" *ngIf="this.auth.user.type == 'admin' ">
          <!--begin:Menu content-->
          <div class="menu-content">
            <span class="menu-heading fw-bold text-uppercase fs-7">Ferramentas</span>
          </div>
          <!--end:Menu content-->
        </div>

        <app-menu-item name="Gerir Utilizador" id="kt_drawer_users_list_basic_button"
                       *ngIf="this.auth.user.type == 'admin' "></app-menu-item>


      </div>
      <!--end::Menu-->
    </div>
    <!--end::Menu wrapper-->
  </div>
  <!--end::sidebar menu-->
  <!--begin::Footer-->


  <div class="app-sidebar-footer flex-column-auto pt-2 pb-6 px-6" id="kt_app_sidebar_footer">


  </div>
  <!--end::Footer-->
</div>
